YUI Flash Component Documentation |
Class DataTipRenderer

Package | com.yahoo.astra.fl.charts
Class | public class DataTipRenderer
Inheritance | DataTipRenderer fl.core.UIComponent
Implements | IDataTipRenderer

The default renderer for mouse-over data tips.

Public Properties

| Property | Defined by
--- | --- | ---
|  | data : Object The data for the item that this data tip represents. | DataTipRenderer
|  | text : String The text that appears in the data tip's label. | DataTipRenderer

Public Methods

| Method | Defined by
--- | --- | ---
|  | DataTipRenderer() Constructor. | DataTipRenderer

Styles

| Style | Description | Defined by
--- | --- | --- | ---
|  | backgroundSkin | Type: Class The DisplayObject subclass used to display the background. | DataTipRenderer
|  | contentPadding | Type: Number The padding that separates the border of the component from its contents, in pixels. The default value is `6`. | DataTipRenderer

Property detail

data | property

`data:Object` [read-write]

The data for the item that this data tip represents. Custom implementations of `IDataTipRenderer` may use this property to render additional information for the user.

Implementation
`public function get data():Object`
`public function set data(value:Object):void`

text | property |

`text:String` [read-write]

The text that appears in the data tip's label.

Implementation
`public function get text():String`
`public function set text(value:String):void`
Constructor detail

DataTipRenderer | () | constructor

`public function DataTipRenderer()`

Constructor.